Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceAST

- org.codehaus.groovy.antlr.GroovySourceAST

- All Implemented Interfaces and Traits:
    Comparable, SourceInfo

      public class GroovySourceAST
      extends antlr.CommonAST

  We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceAST ()`
    `GroovySourceAST (antlr.Token t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovySourceAST` | `childAt(int position)`
    `` | `GroovySourceAST` | `childOfType(int type)`
    `` | `List<GroovySourceAST>` | `childrenOfType(int type)`
    `` | `int` | `compareTo(Object object)`
    `` | `int` | `getColumn()`
    `` | `int` | `getColumnLast()`
    `` | `int` | `getLine()`
    `` | `int` | `getLineLast()`
    `` | `String` | `getSnippet()`
    `` | `void` | `initialize(antlr.collections.AST ast)`
    `` | `void` | `initialize(antlr.Token t)`
    `` | `void` | `setColumn(int column)`
    `` | `void` | `setColumnLast(int colLast)`
    `` | `void` | `setLast(antlr.Token last)`
    `` | `void` | `setLine(int line)`
    `` | `void` | `setLineLast(int lineLast)`
    `` | `void` | `setSnippet(String snippet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class antlr.CommonAST`

    `antlr.CommonAST#setType(int), antlr.CommonAST#initialize(antlr.Token), antlr.CommonAST#initialize(int, java.lang.String), antlr.CommonAST#initialize(antlr.collections.AST), antlr.CommonAST#getType(), antlr.CommonAST#getText(), antlr.CommonAST#setText(java.lang.String), antlr.CommonAST#getLine(), antlr.CommonAST#getTokenNames(), antlr.CommonAST#getColumn(), antlr.CommonAST#getNextSibling(), antlr.CommonAST#getFirstChild(), antlr.CommonAST#getNumberOfChildren(), antlr.CommonAST#findAllPartial(antlr.collections.AST), antlr.CommonAST#removeChildren(), antlr.CommonAST#toStringTree(), antlr.CommonAST#xmlSerializeNode(java.io.Writer), antlr.CommonAST#xmlSerializeRootOpen(java.io.Writer), antlr.CommonAST#xmlSerializeRootClose(java.io.Writer), antlr.CommonAST#xmlSerialize(java.io.Writer), antlr.CommonAST#setFirstChild(antlr.collections.AST), antlr.CommonAST#setNextSibling(antlr.collections.AST), antlr.CommonAST#addChild(antlr.collections.AST), antlr.CommonAST#equalsTreePartial(antlr.collections.AST), antlr.CommonAST#equalsTree(antlr.collections.AST), antlr.CommonAST#equalsList(antlr.collections.AST), antlr.CommonAST#equalsListPartial(antlr.collections.AST), antlr.CommonAST#setVerboseStringConversion(boolean, [Ljava.lang.String;), antlr.CommonAST#equals(antlr.collections.AST), antlr.CommonAST#toString(), antlr.CommonAST#decode(java.lang.String), antlr.CommonAST#encode(java.lang.String), antlr.CommonAST#findAll(antlr.collections.AST), antlr.CommonAST#toStringList(), antlr.CommonAST#equals(java.lang.Object), antlr.CommonAST#hashCode(), antlr.CommonAST#getClass(), antlr.CommonAST#notify(), antlr.CommonAST#notifyAll(), antlr.CommonAST#wait(long), antlr.CommonAST#wait(long, int), antlr.CommonAST#wait()`

    `class antlr.BaseAST`

    `antlr.BaseAST#getLine(), antlr.BaseAST#getTokenNames(), antlr.BaseAST#getColumn(), antlr.BaseAST#getNextSibling(), antlr.BaseAST#getFirstChild(), antlr.BaseAST#getNumberOfChildren(), antlr.BaseAST#findAllPartial(antlr.collections.AST), antlr.BaseAST#removeChildren(), antlr.BaseAST#toStringTree(), antlr.BaseAST#xmlSerializeNode(java.io.Writer), antlr.BaseAST#xmlSerializeRootOpen(java.io.Writer), antlr.BaseAST#xmlSerializeRootClose(java.io.Writer), antlr.BaseAST#xmlSerialize(java.io.Writer), antlr.BaseAST#setFirstChild(antlr.collections.AST), antlr.BaseAST#setNextSibling(antlr.collections.AST), antlr.BaseAST#addChild(antlr.collections.AST), antlr.BaseAST#equalsTreePartial(antlr.collections.AST), antlr.BaseAST#equalsTree(antlr.collections.AST), antlr.BaseAST#equalsList(antlr.collections.AST), antlr.BaseAST#equalsListPartial(antlr.collections.AST), antlr.BaseAST#setVerboseStringConversion(boolean, [Ljava.lang.String;), antlr.BaseAST#setType(int), antlr.BaseAST#equals(antlr.collections.AST), antlr.BaseAST#toString(), antlr.BaseAST#decode(java.lang.String), antlr.BaseAST#encode(java.lang.String), antlr.BaseAST#initialize(antlr.collections.AST), antlr.BaseAST#initialize(int, java.lang.String), antlr.BaseAST#initialize(antlr.Token), antlr.BaseAST#getType(), antlr.BaseAST#findAll(antlr.collections.AST), antlr.BaseAST#getText(), antlr.BaseAST#setText(java.lang.String), antlr.BaseAST#toStringList(), antlr.BaseAST#equals(java.lang.Object), antlr.BaseAST#hashCode(), antlr.BaseAST#getClass(), antlr.BaseAST#notify(), antlr.BaseAST#notifyAll(), antlr.BaseAST#wait(long), antlr.BaseAST#wait(long, int), antlr.BaseAST#wait()`

- - ### Constructor Detail

    - #### public GroovySourceAST()

    - #### public GroovySourceAST(antlr.Token t)

  - ### Method Detail

    - #### public GroovySourceAST childAt(int position)

    - #### public GroovySourceAST childOfType(int type)

    - #### public List<GroovySourceAST> childrenOfType(int type)

    - #### public int compareTo(Object object)

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getSnippet()

    - #### public void initialize(antlr.collections.AST ast)

    - #### public void initialize(antlr.Token t)

    - #### public void setColumn(int column)

    - #### public void setColumnLast(int colLast)

    - #### public void setLast(antlr.Token last)

    - #### public void setLine(int line)

    - #### public void setLineLast(int lineLast)

    - #### public void setSnippet(String snippet)